<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html"><span>All</span></a></li>
      <li class="current"><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="#index_o"><span>o</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
      <li><a href="#index_t"><span>t</span></a></li>
      <li><a href="#index_v"><span>v</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;

<h3><a class="anchor" id="index_o">- o -</a></h3><ul>
<li>ownAddAssociationToDelay()
: <a class="el" href="group__group__vx__delay.html#gab11f80173ad6066184537c264c647feb">vx_delay.h</a>
</li>
<li>ownAddKernelToContext()
: <a class="el" href="group__group__vx__context.html#ga4e833da4ad40df0660e78fa6012a28cf">vx_context.h</a>
</li>
<li>ownAddReferenceToContext()
: <a class="el" href="group__group__vx__context.html#gad3df22b80d553454ff8bb9c080b0a72e">vx_context.h</a>
</li>
<li>ownContextGetKernelRemoveLock()
: <a class="el" href="group__group__vx__context.html#gac71a0ee04223ee7402c5fe4cf11772f2">vx_context.h</a>
</li>
<li>ownContextLock()
: <a class="el" href="group__group__vx__context.html#gaab38acaafb57ded5c2526415bfddc844">vx_context.h</a>
</li>
<li>ownContextSendCmd()
: <a class="el" href="group__group__vx__context.html#ga8bfe7f7fb3ebea938ed7f9d675baaa15">vx_context.h</a>
</li>
<li>ownContextSetKernelRemoveLock()
: <a class="el" href="group__group__vx__context.html#ga41b58a1e73a67133d6700ae8d210b382">vx_context.h</a>
</li>
<li>ownContextUnlock()
: <a class="el" href="group__group__vx__context.html#ga895aa24bb4b0cde01c395d5a8df27556">vx_context.h</a>
</li>
<li>ownCreateConstErrors()
: <a class="el" href="group__group__vx__error.html#ga34e019f03086fa2129f03dc0234a9b85">vx_error.h</a>
</li>
<li>ownCreateReference()
: <a class="el" href="group__group__vx__reference.html#ga4de1be80a5e70c18cd1b6a0693fbdb47">vx_reference.h</a>
</li>
<li>ownCreateReferenceFromExemplar()
: <a class="el" href="group__group__vx__reference.html#ga8bcc2ede5b5fbb5370ea129ff215c2aa">vx_reference.h</a>
</li>
<li>ownDecrementReference()
: <a class="el" href="group__group__vx__reference.html#gac4bd5051397559d84a544f09de52191c">vx_reference.h</a>
</li>
<li>ownGetErrorObject()
: <a class="el" href="group__group__vx__error.html#ga2ada11aea304b54c80b632aa45dc6020">vx_error.h</a>
</li>
<li>ownGetModuleCount()
: <a class="el" href="group__group__vx__module.html#ga52b0d2bf54b8cac803d785a9abcb07f5">vx_module.h</a>
</li>
<li>ownGraphAddNode()
: <a class="el" href="group__group__vx__graph.html#ga3cdd9e3db44e005e8f327756fd47d9dc">vx_graph.h</a>
</li>
<li>ownGraphGetFreeNodeIndex()
: <a class="el" href="group__group__vx__graph.html#ga382c7c56a26c11ef3ab4d53ee067a801">vx_graph.h</a>
</li>
<li>ownGraphRemoveNode()
: <a class="el" href="group__group__vx__graph.html#ga9830a8a2a45de2cdc01865061fb59ed8">vx_graph.h</a>
</li>
<li>ownGraphSetReverify()
: <a class="el" href="group__group__vx__graph.html#ga8f66ba30fd30e78b86621bafd1b5b04c">vx_graph.h</a>
</li>
<li>ownGraphTopologicalSort()
: <a class="el" href="group__group__vx__graph.html#gadccdfaff993b98451a9d159c96e8cbf4">vx_graph.h</a>
</li>
<li>ownIncrementReference()
: <a class="el" href="group__group__vx__reference.html#ga8a250ea2cd1c516ba57798a360de4bc1">vx_reference.h</a>
</li>
<li>ownInitReference()
: <a class="el" href="group__group__vx__reference.html#ga9ce862d27a2efc3e6ab316f0f5ce166f">vx_reference.h</a>
</li>
<li>ownInitReferenceForDelay()
: <a class="el" href="group__group__vx__reference.html#gaa2473ba58425fd73de7e9269f694a149">vx_reference.h</a>
</li>
<li>ownInitVirtualArray()
: <a class="el" href="vx__array_8h.html#a8a098186365e5af5d29c57259e4111bb">vx_array.h</a>
</li>
<li>ownInitVirtualImage()
: <a class="el" href="vx__image_8h.html#ad440b9aec9ec2c1c48a6fb8d7558a5fb">vx_image.h</a>
</li>
<li>ownInitVirtualPyramid()
: <a class="el" href="vx__pyramid_8h.html#acac4b75ce500039cf5a3d7d4ea4b1429">vx_pyramid.h</a>
</li>
<li>ownIsKernelInContext()
: <a class="el" href="group__group__vx__context.html#gaf2872762bd0e2573a87245ea34636481">vx_context.h</a>
</li>
<li>ownIsValidContext()
: <a class="el" href="group__group__vx__context.html#gae4eed3b6e9eda1a840b91b0fa7c786fd">vx_context.h</a>
</li>
<li>ownIsValidDirection()
: <a class="el" href="group__group__vx__parameter.html#ga6cdbdc68fa3c127c1dac4ab88d78c5c9">vx_parameter.h</a>
</li>
<li>ownIsValidReference()
: <a class="el" href="group__group__vx__reference.html#gaa07eb506d2b93ac98c0713861dc93c53">vx_reference.h</a>
</li>
<li>ownIsValidSpecificReference()
: <a class="el" href="group__group__vx__reference.html#gab8dc3b7c601b6cb800b5194f35facb08">vx_reference.h</a>
</li>
<li>ownIsValidState()
: <a class="el" href="group__group__vx__parameter.html#ga4608a7b092232d91d2cac05834727c79">vx_parameter.h</a>
</li>
<li>ownIsValidType()
: <a class="el" href="group__group__vx__reference.html#ga7b73cbb59de6fb75e986948c92b399e1">vx_reference.h</a>
</li>
<li>ownIsValidTypeMatch()
: <a class="el" href="group__group__vx__parameter.html#ga2a44a15fedbceee8b19a45a267082de0">vx_parameter.h</a>
</li>
<li>ownKernelGetDefaultTarget()
: <a class="el" href="group__group__vx__kernel.html#gae4a8c1839a95c563eaf380bc1081027e">vx_kernel.h</a>
</li>
<li>ownKernelGetTarget()
: <a class="el" href="group__group__vx__kernel.html#ga61cbd0db4e18f3eafdb6510b4375b5c0">vx_kernel.h</a>
</li>
<li>ownNodeAddInNode()
: <a class="el" href="group__group__vx__node.html#gaf839c478caa89b5f453adfb6663a1aad">vx_node.h</a>
</li>
<li>ownNodeAddOutNode()
: <a class="el" href="group__group__vx__node.html#ga6bfce40df7b58f4ae6788160d00d692e">vx_node.h</a>
</li>
<li>ownNodeClearExecuteState()
: <a class="el" href="group__group__vx__node.html#ga8701f3a86954a5f74abfef6bd3756579">vx_node.h</a>
</li>
<li>ownNodeCreateCompletionEvent()
: <a class="el" href="group__group__vx__node.html#ga31adaea81c40ecb6d143ff807eb2415a">vx_node.h</a>
</li>
<li>ownNodeCreateUserCallbackCommand()
: <a class="el" href="group__group__vx__node.html#ga382d6191891a85419d71bb446961de68">vx_node.h</a>
</li>
<li>ownNodeExecuteUserCallback()
: <a class="el" href="group__group__vx__node.html#gaf49ad710f2f1015732aad0d2224d0ecb">vx_node.h</a>
</li>
<li>ownNodeGetNextNode()
: <a class="el" href="group__group__vx__node.html#gacfbf936539d7c4da2e3e218cbc3d7af6">vx_node.h</a>
</li>
<li>ownNodeGetNumInNodes()
: <a class="el" href="group__group__vx__node.html#ga305faeb6f15ef6587cde24de5ddf9460">vx_node.h</a>
</li>
<li>ownNodeGetNumOutNodes()
: <a class="el" href="group__group__vx__node.html#ga55dc0ee45815ecf7ce8f546e4fc37cb0">vx_node.h</a>
</li>
<li>ownNodeGetNumParameters()
: <a class="el" href="group__group__vx__node.html#gace901937a320730ec12cfb7b11b54bbc">vx_node.h</a>
</li>
<li>ownNodeGetParameterDir()
: <a class="el" href="group__group__vx__node.html#ga4df3a9daf021c8890d9c35bf08163120">vx_node.h</a>
</li>
<li>ownNodeGetParameterRef()
: <a class="el" href="group__group__vx__node.html#ga0d67a618d2f2e725209769dc194f087f">vx_node.h</a>
</li>
<li>ownNodeIsPrmReplicated()
: <a class="el" href="group__group__vx__node.html#ga5413edaca750961e43f9d819e7fe41e8">vx_node.h</a>
</li>
<li>ownNodeKernelDeinit()
: <a class="el" href="group__group__vx__node.html#gaf7512617962fe1a6c9c7074af841b3d4">vx_node.h</a>
</li>
<li>ownNodeKernelInit()
: <a class="el" href="group__group__vx__node.html#gabd0685f1f78c0dac0cfc39aa5e7cdd68">vx_node.h</a>
</li>
<li>ownNodeKernelSchedule()
: <a class="el" href="group__group__vx__node.html#ga2afec8a9f96c76097f76f86f166822ba">vx_node.h</a>
</li>
<li>ownNodeKernelValidate()
: <a class="el" href="group__group__vx__node.html#ga2cda0c09f0283ba5ae1da465a7854b4a">vx_node.h</a>
</li>
<li>ownNodeSendCompletionEvent()
: <a class="el" href="group__group__vx__node.html#ga1fa01cfa84593b156556fae8136b41be">vx_node.h</a>
</li>
<li>ownNodeSetParameter()
: <a class="el" href="group__group__vx__node.html#ga29df5b8a5db460fe6edc05fb36d9bebf">vx_node.h</a>
</li>
<li>ownNodeUserKernelExecute()
: <a class="el" href="group__group__vx__node.html#ga96573e89e3c09eb1731194312418b921">vx_node.h</a>
</li>
<li>ownNodeWaitCompletionEvent()
: <a class="el" href="group__group__vx__node.html#gae353287731c9c0fb243a4d158d974068">vx_node.h</a>
</li>
<li>ownPrintImage()
: <a class="el" href="group__group__vx__image.html#ga82769f15a146e1609fdaf2bae5416132">vx_image.h</a>
</li>
<li>ownPrintImageAddressing()
: <a class="el" href="group__group__vx__image.html#gab68727411ea99e2640bc5d9d25f7cc56">vx_image.h</a>
</li>
<li>ownPrintReference()
: <a class="el" href="group__group__vx__reference.html#gad786153df931e4dceafba594c6bb0d3b">vx_reference.h</a>
</li>
<li>ownPrintScalar()
: <a class="el" href="group__group__vx__scalar.html#ga555cab92c605912773ebc0307a8b6260">vx_scalar.h</a>
</li>
<li>ownReferenceAllocMem()
: <a class="el" href="group__group__vx__reference.html#gad42635678483ae9c930688bb56b9cf90">vx_reference.h</a>
</li>
<li>ownReferenceLock()
: <a class="el" href="group__group__vx__reference.html#ga46261af73a663a9ced354739f57100d1">vx_reference.h</a>
</li>
<li>ownReferenceSetScope()
: <a class="el" href="group__group__vx__reference.html#ga6290c7e47db2bb4c7451a59e68b6dc2d">vx_reference.h</a>
</li>
<li>ownReferenceUnlock()
: <a class="el" href="group__group__vx__reference.html#gaecb8495533f11379e448b826a0bcdbf3">vx_reference.h</a>
</li>
<li>ownReleaseReferenceInt()
: <a class="el" href="group__group__vx__reference.html#gac3ad1447b01e8ce0806adfa8447590c3">vx_reference.h</a>
</li>
<li>ownRemoveAssociationToDelay()
: <a class="el" href="group__group__vx__delay.html#gaebf2b68648ae0503ed5ba08e9696bbce">vx_delay.h</a>
</li>
<li>ownRemoveKernelFromContext()
: <a class="el" href="group__group__vx__context.html#ga71c2cfc5a380259f348117aad598d23b">vx_context.h</a>
</li>
<li>ownRemoveReferenceFromContext()
: <a class="el" href="group__group__vx__context.html#ga2b1b76e26e82acc1708101330a6ae760">vx_context.h</a>
</li>
<li>ownResetNodePerf()
: <a class="el" href="group__group__vx__node.html#ga1dd26d7b21e1d3cb9f41a0f1ceebb0d8">vx_node.h</a>
</li>
<li>ownSetNodeAttributeValidRectReset()
: <a class="el" href="group__group__vx__node.html#ga7a81114a7f3c3c88c3c5645fbf4906cf">vx_node.h</a>
</li>
<li>ownSetNodeImmTarget()
: <a class="el" href="group__group__vx__node.html#gaa40301a5bc1bd16df614c3c7eab93feb">vx_node.h</a>
</li>
<li>ownSizeOfEnumType()
: <a class="el" href="group__group__vx__reference.html#ga8a824924e3547a69b56d03d93d6faab8">vx_reference.h</a>
</li>
<li>ownTotalReferenceCount()
: <a class="el" href="group__group__vx__reference.html#gabf65108598010b9690afdbc4893fb36c">vx_reference.h</a>
</li>
<li>ownUpdateNodePerf()
: <a class="el" href="group__group__vx__node.html#ga49453e6c9fcae493ab78ac21dff6740a">vx_node.h</a>
</li>
</ul>


<h3><a class="anchor" id="index_s">- s -</a></h3><ul>
<li>Size()
: <a class="el" href="tiovx__performance__TDA2Ex__BIOS_8html.html#adf2887a00cf343695621c965fc6c8a27">tiovx_performance_TDA2Ex_BIOS.html</a>
, <a class="el" href="tiovx__performance__TDA3x__BIOS_8html.html#adf2887a00cf343695621c965fc6c8a27">tiovx_performance_TDA3x_BIOS.html</a>
, <a class="el" href="tiovx__performance__TDA2x__LINUX_8html.html#adf2887a00cf343695621c965fc6c8a27">tiovx_performance_TDA2x_LINUX.html</a>
, <a class="el" href="tiovx__performance__TDA2x__BIOS_8html.html#adf2887a00cf343695621c965fc6c8a27">tiovx_performance_TDA2x_BIOS.html</a>
, <a class="el" href="tiovx__performance__TDA2Ex__LINUX_8html.html#adf2887a00cf343695621c965fc6c8a27">tiovx_performance_TDA2Ex_LINUX.html</a>
</li>
</ul>


<h3><a class="anchor" id="index_t">- t -</a></h3><ul>
<li>tivx_clr_debug_zone()
: <a class="el" href="group__group__vx__debug.html#gabe8239f2d4f812db4c3d345fd9d898da">tivx_debug.h</a>
</li>
<li>tivx_get_debug_zone()
: <a class="el" href="group__group__vx__debug.html#gabb928f9e14e697cdc570f987406f355d">tivx_debug.h</a>
</li>
<li>tivx_print()
: <a class="el" href="group__group__vx__debug.html#ga0e8f0fde3cb77b439a7959c81be96eae">tivx_debug.h</a>
</li>
<li>tivx_set_debug_zone()
: <a class="el" href="group__group__vx__debug.html#ga5797ddae3c7bdb48c9ebb0e466f841f4">tivx_debug.h</a>
</li>
<li>tivx_uint32_to_uint64()
: <a class="el" href="group__group__vx__utils.html#ga9bed7333f57423a1af3cc2c624016efa">vx_internal.h</a>
</li>
<li>tivx_uint64_to_uint32()
: <a class="el" href="group__group__vx__utils.html#ga278ed34a28b05b22e15ee4a29b9a0935">vx_internal.h</a>
</li>
<li>tivxAddKernelTarget()
: <a class="el" href="group__group__tivx__ext.html#gada61688ef8d7e4dbfc343b3152ec7219">tivx.h</a>
</li>
<li>tivxAddTargetKernel()
: <a class="el" href="group__group__tivx__target__kernel.html#gac53ae87502b370754a0ae41a1941675a">tivx_target_kernel.h</a>
</li>
<li>tivxCreateNodeByKernelEnum()
: <a class="el" href="group__group__tivx__ext.html#gaf9e2b985c0e14a513c924ff421857178">tivx.h</a>
</li>
<li>tivxCreateNodeByKernelRef()
: <a class="el" href="group__group__tivx__ext.html#ga9d9ccababb2be7012ffbad3b44713aaf">tivx.h</a>
</li>
<li>tivxDeInit()
: <a class="el" href="group__group__tivx__ext.html#gafe743fcbf54158387579a1f36ec1070b">tivx.h</a>
</li>
<li>tivxEventClear()
: <a class="el" href="group__group__tivx__event.html#ga6a7a33c9f8ae1268f03eede0db2eefe3">tivx_event.h</a>
</li>
<li>tivxEventCreate()
: <a class="el" href="group__group__tivx__event.html#ga9c67a78229d8e3c6241b14ba76984f93">tivx_event.h</a>
</li>
<li>tivxEventDelete()
: <a class="el" href="group__group__tivx__event.html#ga25e67344a6d01db6db63a14e5ced6a14">tivx_event.h</a>
</li>
<li>tivxEventPost()
: <a class="el" href="group__group__tivx__event.html#gad927ee36bfd675b340952338567dd87c">tivx_event.h</a>
</li>
<li>tivxEventWait()
: <a class="el" href="group__group__tivx__event.html#ga826c9dce98759d1ec7bd2ecaa94c113e">tivx_event.h</a>
</li>
<li>tivxFlagBitClear()
: <a class="el" href="group__group__vx__utils.html#ga534109d6c33d7c81285c09c9e1bd9892">vx_internal.h</a>
</li>
<li>tivxFlagBitSet()
: <a class="el" href="group__group__vx__utils.html#gabe1484e1cc6d183d574ff47720dba6f6">vx_internal.h</a>
</li>
<li>tivxFlagIsBitSet()
: <a class="el" href="group__group__vx__utils.html#ga8e19e8244e8e40dac1af54ce04ac0b3a">vx_internal.h</a>
</li>
<li>tivxGetObjDescList()
: <a class="el" href="group__group__tivx__obj__desc__cfg.html#ga1e02e5d729613194b6a7aa2c441688df">tivx_obj_desc.h</a>
</li>
<li>tivxGetSelfCpuId()
: <a class="el" href="group__group__tivx__ext.html#ga391ddeb83fbd4d6cffead6536fe8fd22">tivx.h</a>
</li>
<li>tivxGetTargetKernelInstanceBorderMode()
: <a class="el" href="group__group__tivx__target__kernel.html#gac6174a4e92a4bf4a19ab77a78963ddf5">tivx_target_kernel.h</a>
</li>
<li>tivxGetTargetKernelInstanceContext()
: <a class="el" href="group__group__tivx__target__kernel.html#ga08730671086c805df9f4e00d4a4ef383">tivx_target_kernel.h</a>
</li>
<li>tivxHarrisCornersNode()
: <a class="el" href="tivx__nodes_8h.html#a4c911937ab9849e96dfddfd1951a1d78">tivx_nodes.h</a>
</li>
<li>tivxHostDeInit()
: <a class="el" href="group__group__tivx__ext.html#gafa17594a1ffb93ab47b3da495242bfd1">tivx.h</a>
</li>
<li>tivxHostInit()
: <a class="el" href="group__group__tivx__ext.html#ga31ae176c89afc45e20c15ed60b0023d0">tivx.h</a>
</li>
<li>tivxInit()
: <a class="el" href="group__group__tivx__ext.html#gad7aa0fdded06205fb515f77c60e8cac7">tivx.h</a>
</li>
<li>tivxIpcDeInit()
: <a class="el" href="group__group__tivx__ipc.html#gae61932f93d5b297d8d3023053c4de89e">tivx_ipc.h</a>
</li>
<li>tivxIpcInit()
: <a class="el" href="group__group__tivx__ipc.html#ga5cc0504664e4120dda402c88dcb380a5">tivx_ipc.h</a>
</li>
<li>tivxIpcRegisterHandler()
: <a class="el" href="group__group__tivx__ipc.html#ga55c17f2993549c51e9f23f276963fccf">tivx_ipc.h</a>
</li>
<li>tivxIpcSendMsg()
: <a class="el" href="group__group__tivx__ipc.html#gaa16af65b5fb1e1a39a41f2d75285d185">tivx_ipc.h</a>
</li>
<li>tivxIsReferenceVirtual()
: <a class="el" href="group__group__tivx__ext.html#ga3aa39fe04bca71942913962c3b46a8e7">tivx.h</a>
</li>
<li>tivxIsTargetEnabled()
: <a class="el" href="group__group__tivx__ext.html#ga9fcb9b76ac3436d468f7cdd76088a5f2">tivx.h</a>
</li>
<li>tivxMemAlloc()
: <a class="el" href="group__group__tivx__mem.html#gaf73adaa236689353ff173b268d49bf4b">tivx_mem.h</a>
</li>
<li>tivxMemBufferAlloc()
: <a class="el" href="group__group__tivx__mem.html#ga6c91b589548245063060d06629795033">tivx_mem.h</a>
</li>
<li>tivxMemBufferFree()
: <a class="el" href="group__group__tivx__mem.html#gabe21a01434fffe5237e13436c669a3b3">tivx_mem.h</a>
</li>
<li>tivxMemBufferMap()
: <a class="el" href="group__group__tivx__mem.html#gad0a080f8f697f50ce522f05e1e646cfc">tivx_mem.h</a>
</li>
<li>tivxMemBufferUnmap()
: <a class="el" href="group__group__tivx__mem.html#ga7eb36b10bc001dc9946b032828bd3e4d">tivx_mem.h</a>
</li>
<li>tivxMemFree()
: <a class="el" href="group__group__tivx__mem.html#ga1c3428e8e935844bd375655b3b9f3f34">tivx_mem.h</a>
</li>
<li>tivxMemHost2SharedPtr()
: <a class="el" href="group__group__tivx__mem.html#ga240956e2a8001810af0e5bc8e2163b78">tivx_mem.h</a>
</li>
<li>tivxMemShared2HostPtr()
: <a class="el" href="group__group__tivx__mem.html#ga719f8b4abbf094d104dd43c21f3f08ad">tivx_mem.h</a>
</li>
<li>tivxMemShared2TargetPtr()
: <a class="el" href="group__group__tivx__mem.html#ga853fc075881b71e7a4592fc0bf098ecb">tivx_mem.h</a>
</li>
<li>tivxMemStats()
: <a class="el" href="group__group__tivx__mem.html#gac455e3957a61a111ced55bff62564ed0">tivx_mem.h</a>
</li>
<li>tivxMemTarget2SharedPtr()
: <a class="el" href="group__group__tivx__mem.html#ga87a9c979d1fe5fb5dca1f127bb843d8d">tivx_mem.h</a>
</li>
<li>tivxMutexCreate()
: <a class="el" href="group__group__tivx__mutex.html#ga10f941b75c48ffe7069c4b840ce095cc">tivx_mutex.h</a>
</li>
<li>tivxMutexDelete()
: <a class="el" href="group__group__tivx__mutex.html#ga4bdfefab59fb153a56dc3471c05b43a8">tivx_mutex.h</a>
</li>
<li>tivxMutexLock()
: <a class="el" href="group__group__tivx__mutex.html#gafbb464ac610636ea581917265ab84af0">tivx_mutex.h</a>
</li>
<li>tivxMutexUnlock()
: <a class="el" href="group__group__tivx__mutex.html#gada5fda7d78c592af5151c18e08cebc0f">tivx_mutex.h</a>
</li>
<li>tivxObjDescAlloc()
: <a class="el" href="group__group__tivx__obj__desc__priv.html#ga473e11e04aa7dd29797f3cb1bf9b1ba3">tivx_obj_desc_priv.h</a>
</li>
<li>tivxObjDescFree()
: <a class="el" href="group__group__tivx__obj__desc__priv.html#ga422c0dd5f70c5cf5bf21e8a22344b5e0">tivx_obj_desc_priv.h</a>
</li>
<li>tivxObjDescGet()
: <a class="el" href="group__group__tivx__obj__desc__priv.html#ga43ebdbb9272f3336019357538f5c6e8c">tivx_obj_desc_priv.h</a>
</li>
<li>tivxObjDescInit()
: <a class="el" href="group__group__tivx__obj__desc__priv.html#ga8311436304a2969b378a58395a114b2c">tivx_obj_desc_priv.h</a>
</li>
<li>tivxObjDescIsValidType()
: <a class="el" href="group__group__tivx__obj__desc__priv.html#ga7a5db8d3c1c9582edec01558e6d38152">tivx_obj_desc_priv.h</a>
</li>
<li>tivxObjDescSend()
: <a class="el" href="group__group__tivx__obj__desc__priv.html#gacbe637a2134841596d5565877d33d8b3">tivx_obj_desc_priv.h</a>
</li>
<li>tivxObjectAlloc()
: <a class="el" href="group__group__tivx__obj.html#ga96caebfc056a0fe986f6128a029bf6f1">tivx_objects.h</a>
</li>
<li>tivxObjectDeInit()
: <a class="el" href="group__group__tivx__obj.html#ga69229b3e9b115ee370fb290028516363">tivx_objects.h</a>
</li>
<li>tivxObjectFree()
: <a class="el" href="group__group__tivx__obj.html#ga1be84ea7073fcc2460c5ad758ce8f753">tivx_objects.h</a>
</li>
<li>tivxObjectInit()
: <a class="el" href="group__group__tivx__obj.html#ga10e04c49c62a5e0e8608db9d9085c409">tivx_objects.h</a>
</li>
<li>tivxPlatformActivate()
: <a class="el" href="group__group__tivx__platform.html#ga89aa5a7d6c37fd14db9091a4de40a871">tivx_platform.h</a>
</li>
<li>tivxPlatformCreateTargets()
: <a class="el" href="group__group__tivx__platform.html#gac8b108ea08441007956dc181d70f222d">tivx_platform.h</a>
</li>
<li>tivxPlatformDeactivate()
: <a class="el" href="group__group__tivx__platform.html#gad19b728fb29ec3dfd9a2dbf14f7b6732">tivx_platform.h</a>
</li>
<li>tivxPlatformDeInit()
: <a class="el" href="group__group__tivx__platform.html#ga768f6b4525527196bb1c157932ef150a">tivx_platform.h</a>
</li>
<li>tivxPlatformDeleteTargets()
: <a class="el" href="group__group__tivx__platform.html#ga845dbad929f94c02f396286a4d420336">tivx_platform.h</a>
</li>
<li>tivxPlatformGetObjDescTableInfo()
: <a class="el" href="group__group__tivx__platform.html#gac6bb6eb426a15e8805041746492a42dd">tivx_platform.h</a>
</li>
<li>tivxPlatformGetTargetId()
: <a class="el" href="group__group__tivx__platform.html#ga163eb793acabcf9c228318bd9112b8d8">tivx_platform.h</a>
</li>
<li>tivxPlatformGetTimeInUsecs()
: <a class="el" href="group__group__tivx__platform.html#gafe9199791da44e9a0b0a26c81cf49180">tivx_platform.h</a>
</li>
<li>tivxPlatformInit()
: <a class="el" href="group__group__tivx__platform.html#gadfc3155b433c4d7d5327803d984abfd4">tivx_platform.h</a>
</li>
<li>tivxPlatformPrintf()
: <a class="el" href="group__group__tivx__platform.html#ga51af70f92ac58c4872df7d22df0c0781">tivx_platform.h</a>
</li>
<li>tivxPlatformSystemLock()
: <a class="el" href="group__group__tivx__platform.html#ga9995aaea95bc5fb2164953056ccd4281">tivx_platform.h</a>
</li>
<li>tivxPlatformSystemUnlock()
: <a class="el" href="group__group__tivx__platform.html#gae40cf85733222fb64e12462a48a847ef">tivx_platform.h</a>
</li>
<li>tivxPlatformTargetMatch()
: <a class="el" href="group__group__tivx__platform.html#gae52b4fec9fe9fc881217f834b16e4772">tivx_platform.h</a>
</li>
<li>tivxQueueCreate()
: <a class="el" href="group__group__tivx__queue.html#ga220fbb97bef3acbbb17f55b02ba4e386">tivx_queue.h</a>
</li>
<li>tivxQueueDelete()
: <a class="el" href="group__group__tivx__queue.html#ga1f9f4c5863f9cc2b42edf051f1314310">tivx_queue.h</a>
</li>
<li>tivxQueueGet()
: <a class="el" href="group__group__tivx__queue.html#ga7e2d85b5ee64e73cda934f514d522618">tivx_queue.h</a>
</li>
<li>tivxQueuePut()
: <a class="el" href="group__group__tivx__queue.html#ga18c7c8bf6d5f4405384bdaf1d454c9d9">tivx_queue.h</a>
</li>
<li>tivxReferenceGetObjDescId()
: <a class="el" href="group__group__tivx__obj__desc__priv.html#gae19ec92d7558538be397f29b891091fa">tivx_obj_desc_priv.h</a>
</li>
<li>tivxRegisterModule()
: <a class="el" href="group__group__tivx__ext.html#ga7194f59e8a633e8ffb01b2780c4fa2e3">tivx.h</a>
</li>
<li>tivxRemoveTargetKernel()
: <a class="el" href="group__group__tivx__target__kernel.html#ga857faf8c07c3ee28fa55d7657176447e">tivx_target_kernel.h</a>
</li>
<li>tivxSetTargetKernelInstanceContext()
: <a class="el" href="group__group__tivx__target__kernel.html#ga551f7060ce2a7e3007424a1da2b184a9">tivx_target_kernel.h</a>
</li>
<li>tivxTargetCreate()
: <a class="el" href="group__group__tivx__target.html#gafc790d4875704d2d35d0b2df0e875c6d">tivx_target.h</a>
</li>
<li>tivxTargetDeInit()
: <a class="el" href="group__group__tivx__target.html#gab6deead17a33e5a72ba2efec1098be38">tivx_target.h</a>
</li>
<li>tivxTargetDelete()
: <a class="el" href="group__group__tivx__target.html#gad0a24699e949291235bea34a6544b89d">tivx_target.h</a>
</li>
<li>tivxTargetGetCpuId()
: <a class="el" href="group__group__tivx__target.html#ga91042e4d910596a3f8889ba4a26df97a">tivx_target.h</a>
</li>
<li>tivxTargetInit()
: <a class="el" href="group__group__tivx__target.html#ga28d7fa03e4c54e9a855b5e9997634fc1">tivx_target.h</a>
</li>
<li>tivxTargetKernelControl()
: <a class="el" href="group__group__tivx__target__kernel__priv.html#ga9ec7ccc5134d81ce1224fa440affbabc">tivx_target_kernel_priv.h</a>
</li>
<li>tivxTargetKernelCreate()
: <a class="el" href="group__group__tivx__target__kernel__priv.html#ga70bd6bb98783137e648551434fd182f9">tivx_target_kernel_priv.h</a>
</li>
<li>tivxTargetKernelDeInit()
: <a class="el" href="group__group__tivx__target__kernel__priv.html#ga111b4b61a8df459f04ac552e9e65d995">tivx_target_kernel_priv.h</a>
</li>
<li>tivxTargetKernelDelete()
: <a class="el" href="group__group__tivx__target__kernel__priv.html#gacaa42e1e119b79ee988d74d9b31a96ec">tivx_target_kernel_priv.h</a>
</li>
<li>tivxTargetKernelExecute()
: <a class="el" href="group__group__tivx__target__kernel__priv.html#gac81cb5f6886a23d19b24265e6a87d8f5">tivx_target_kernel_priv.h</a>
</li>
<li>tivxTargetKernelGet()
: <a class="el" href="group__group__tivx__target__kernel__priv.html#ga157f15fc858c41cf95fe125be0cc59e5">tivx_target_kernel_priv.h</a>
</li>
<li>tivxTargetKernelInit()
: <a class="el" href="group__group__tivx__target__kernel__priv.html#gac8f389b1911b6edb882e85267559d069">tivx_target_kernel_priv.h</a>
</li>
<li>tivxTargetKernelInstanceAlloc()
: <a class="el" href="group__group__tivx__target__kernel__instance.html#gacfb7b887f376d124a76a18e97218efdd">tivx_target_kernel_instance.h</a>
</li>
<li>tivxTargetKernelInstanceDeInit()
: <a class="el" href="group__group__tivx__target__kernel__instance.html#ga3b14be7e87e6c02f763f61b01bf3a8b9">tivx_target_kernel_instance.h</a>
</li>
<li>tivxTargetKernelInstanceFree()
: <a class="el" href="group__group__tivx__target__kernel__instance.html#gac1e8b559ce69f76402bec82af72cd1b5">tivx_target_kernel_instance.h</a>
</li>
<li>tivxTargetKernelInstanceGet()
: <a class="el" href="group__group__tivx__target__kernel__instance.html#gaaa106f58ef027d41c44aa5592d0bfb71">tivx_target_kernel_instance.h</a>
</li>
<li>tivxTargetKernelInstanceGetIndex()
: <a class="el" href="group__group__tivx__target__kernel__instance.html#ga9ef96cbb47593774cdb647817ef1b315">tivx_target_kernel_instance.h</a>
</li>
<li>tivxTargetKernelInstanceGetKernel()
: <a class="el" href="group__group__tivx__target__kernel__instance.html#ga33b0e8b85ed190c95b903719d8bb6af2">tivx_target_kernel_instance.h</a>
</li>
<li>tivxTargetKernelInstanceInit()
: <a class="el" href="group__group__tivx__target__kernel__instance.html#gabc98338e5a4bd250e675dca2d73d6ef8">tivx_target_kernel_instance.h</a>
</li>
<li>tivxTargetQueueObjDesc()
: <a class="el" href="group__group__tivx__target.html#ga75b9a3e518e3eff982210fb179a5c35c">tivx_target.h</a>
</li>
<li>tivxTargetSetDefaultCreateParams()
: <a class="el" href="group__group__tivx__target.html#ga5e59a1fe631ed63d7a225af8dcf6aa44">tivx_target.h</a>
</li>
<li>tivxTaskCreate()
: <a class="el" href="group__group__tivx__task.html#gae7df8005aad76cd598146b82cddadc7b">tivx_task.h</a>
</li>
<li>tivxTaskDelete()
: <a class="el" href="group__group__tivx__task.html#ga198b31749312b9235b2ac19d9e0bb068">tivx_task.h</a>
</li>
<li>tivxTaskSetDefaultCreateParams()
: <a class="el" href="group__group__tivx__task.html#gab9c6892d3680cbbf7d141ba9715b5bd7">tivx_task.h</a>
</li>
<li>tivxTaskWaitMsecs()
: <a class="el" href="group__group__tivx__task.html#ga25fc34b7c559f1be5d8a237dd26eaf24">tivx_task.h</a>
</li>
<li>tivxUnRegisterModule()
: <a class="el" href="group__group__tivx__ext.html#ga120fa188b0eda727d86e907b645f5d61">tivx.h</a>
</li>
</ul>


<h3><a class="anchor" id="index_v">- v -</a></h3><ul>
<li>vxCreateMetaFormat()
: <a class="el" href="vx__meta__format_8h.html#a87b348423748d94e37775e4fe8e8470a">vx_meta_format.h</a>
</li>
<li>vxReleaseMetaFormat()
: <a class="el" href="vx__meta__format_8h.html#acf128060353911d685e302c52748fe95">vx_meta_format.h</a>
</li>
</ul>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
